#include<bits/stdc++.h>
using namespace std;

int main(){
    int n, q; cin>>n;
    vector<int>v(n);
    int x, i=0; cin>>x;
    sort(v.begin(), v.end());
    int medijana=(v.size()/2)+1;
    if(x==medijana)
        cout<<"0";
    else{
        for (i = 0; i < n; i++){
            v.push_back(v[v.size()-1]);
        }
        cout<<i;
    }

    return 0;   }